@import "./color";
@import "./common-dark";

html {
    height: 100%;
}

body {
    display: flex;
    align-items: center;
    justify-content:center;

    color: $color-text;
    margin: 0;
    text-align: center;
    font-family: Ubuntu, sans-serif;
    font-size: 13pt;
    min-height: 90%
}

#root {
    padding: 0 1em 1em;
}

a {
    color: #585688;
    font-weight: 400;
    text-decoration: none;

    &:focus {
        outline: none;
        text-decoration: underline;
    }
    &.link-disabled {
        cursor: default;
        opacity: 0.55;
    }
}

input {
    width: 16em;
    height: 2.25em;
    border-radius: 0.5em;
    background-color: #E9E9E9;
    border: none;
    text-align: center;
    font-size: 1em;
    font-weight: 500;
    font-family: Ubuntu, sans-serif;
    color: #6E6E6E;
    outline: none;
    margin-bottom: 1.1em;

    &::placeholder {
        font-weight: 400;
        color: #6E6E6E;
    }
    &:focus {
        background-color: #F6F6F6;
        box-shadow: 0 0 0 1px #585688;
        color: black;
    }
    &:disabled {
        opacity: 0.65;
    }
}

.light-text {
    color: #6E6E6E;
}

.fade-in {
    animation: fade-in ease 0.5s;

    @keyframes fade-in {
        from { opacity: 0.5; }
    }
}